defmodule Prymn.Messaging.FooConsumer do
  use GenServer

  @impl true
  def init(reply) do
    {:ok, reply}
  end

  @impl true
  def handle_info({:msg, %{topic: subject, body: body}}, reply) do
    dbg("received on fooconsumer: #{subject}")
    send(reply, body)
    {:noreply, reply}
  end
end
